import core from '@angular/core';
import highlight from 'highlight.js';

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

function unwrapExports (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var highlightjs_component = createCommonjsModule(function (module, exports) {
var __decorate = (commonjsGlobal && commonjsGlobal.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (commonjsGlobal && commonjsGlobal.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });


let HighlightjsComponent = class HighlightjsComponent {
    constructor() {
        this.language = '';
    }
    ngAfterViewInit() {
        highlight.highlightBlock(this.codeBlock.nativeElement);
    }
};
__decorate([
    core.Input(),
    __metadata("design:type", String)
], HighlightjsComponent.prototype, "code", void 0);
__decorate([
    core.Input(),
    __metadata("design:type", String)
], HighlightjsComponent.prototype, "language", void 0);
__decorate([
    core.ViewChild('codeBlock'),
    __metadata("design:type", core.ElementRef)
], HighlightjsComponent.prototype, "codeBlock", void 0);
HighlightjsComponent = __decorate([
    core.Component({
        selector: 'dkx-highlightjs',
        template: "<pre><code #codeBlock [className]=\"language\" [innerText]=\"code\"></code></pre>\n"
    })
], HighlightjsComponent);
exports.HighlightjsComponent = HighlightjsComponent;

});

unwrapExports(highlightjs_component);
var highlightjs_component_1 = highlightjs_component.HighlightjsComponent;

var highlightjs_module = createCommonjsModule(function (module, exports) {
var __decorate = (commonjsGlobal && commonjsGlobal.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });


let HighlightjsModule = class HighlightjsModule {
};
HighlightjsModule = __decorate([
    core.NgModule({
        declarations: [
            highlightjs_component.HighlightjsComponent,
        ],
        exports: [
            highlightjs_component.HighlightjsComponent,
        ],
    })
], HighlightjsModule);
exports.HighlightjsModule = HighlightjsModule;

});

unwrapExports(highlightjs_module);
var highlightjs_module_1 = highlightjs_module.HighlightjsModule;

var esm2015 = createCommonjsModule(function (module, exports) {
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(highlightjs_component);
__export(highlightjs_module);

});

unwrapExports(esm2015);

var dkxNgHighlightJs = createCommonjsModule(function (module, exports) {
/**
 * Generated bundle index. Do not edit.
 */
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(esm2015);

});

var dkxNgHighlightJs$1 = unwrapExports(dkxNgHighlightJs);

export default dkxNgHighlightJs$1;
//# sourceMappingURL=dkx-ng-highlight-js.js.map
